# Shortcut Thinking

Shortcut thinking means making conclusions by established associations (such as "theft = bad") rather than making the extra effort of inferring the conclusion from known, possibly updated facts. This isn't bad in itself, in fact it is a great and necessary [optimization](optimization.md) of our thinking process and it's really why we have long term memory -- imagine we'd have to deduce all the facts from scratch each time we think about anything. However shortcut thinking can be a weakness in many situations and leaves people prone to manipulation by [propaganda](propaganda.md). As such this phenomenon is extremely abused by politicians, i.e. they for example try to shift the meaning of a certain negative word to include something they want to get rid of.

Some commonly held associations appearing in shortcut thinking of common people nowadays are for example "theft = piracy = bad", "laziness = bad", "pedophiles = child rapists = bad", "competition = good", "more jobs = good", "more complex technology = better", etc. Of those most are of course either extremely simplified or just plain wrong. however some association may of course be correct, such as "murder = bad".

Let's focus on the specific example of the association "theft = bad". Indeed it has some sense in it -- if we turn shortcut thinking off, we may analyze why this association exists. For most of our history the word theft has meant *taking a physical personal possession of someone else against their will*. Indeed, in a society of people of which most weren't rich, this was bad in most cases as it hurt the robbed person, he has lost something he probably needed. However the society evolved, the meaning of property itself has changed from "personal property" to "private property", i.e. suddenly there were people who could own a whole forest or a factory even if they have never seen it, and there were people who had much more than they needed. If a poor starving person steals food from the rich who doesn't even notice this, suddenly the situation is different and many will say this is no longer bad. Nevertheless the word theft stayed in use and now included even such cases that were ethical because of the shifted meaning of the word "property" and due to changes in conditions of people. Recently the word property was shifted to the extreme with the invention of **[intellectual property](intellectual_property.md)**, i.e. the concept of being able to own information such as ideas or stories in books. Intellectual property is fundamentally different from physical property as it can't be stolen in the same way, it can only be copied, duplicated, but this copying doesn't rid the "owner" of the original information. And so nowadays the word "theft", or one of its modern forms, "[piracy](piracy.md)", includes also mere copying of information or even just reusing an idea (patent) for completely good purposes, for example writing computer programs in certain (patented) ways is considered a theft. Of course, some may argue that such a download or reuse prevents the "owner's" profit from selling copies of that information or licenses to that idea, however it must be known that again, society is completely different nowadays and this so called "theft" actually doesn't hurt anyone but some gigantic billion dollar corporation that doesn't even notice, no actual person gets hurt, only a legal entity, and these so called "theft" actually give rise to good, helpful things. In fact, hurting a corporation, by definition a [fascist](fascism.md) entity hostile to people, may further be seen as a good thing, so stealing from corporation is also good by this view. Furthermore the illusion of profit theft here is arbitrarily made, the "theft" exists only because we've purposefully created a system which allows selling copies of information and restricting ideas and therefore enables this "theft", i.e. this is no longer a natural thing, this is something miles away from the original meaning of the word "theft". With all this in mind we may, in today's context of the new meaning of old words, reconsider theft to no longer be generally bad.

When confronted with a new view, political theory etc., we should try to turn shortcut thinking off. Doing this can be called **being open minded**, i.e. opening one's mind to reinterpretation of very basic concepts by a new view. Also we should probably update our association from time to time just to keep them up with the new state of the word.

The politics and views of [LRS](lrs.md) requires extreme open mindedness to be accepted by someone indoctrinated by the standard capitalist fascist propaganda of today.